OAuth registration and login (Facebook, Google ..)
2016-04-20 17:38 - Leos Literak

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution:

Description

My installation is intented to public. But people do not like to register. It is boring, it takes time, you need to remember zillions of
passwords and it is not safe (databases are bing cracked). The solution was provided by openid first and its successor OAuth that is
widely available. People can delegate authentication to OAuth providers like Google, Facebook, Twitter, LinkedIn and many others. It
is very fast, convinient and reasonably secure.

Because you already have openid, the implementation will not be such difficult. The concept is the same. Thank you for
consideration.

History

#1 - 2016-04-21 01:58 - Toshi MARUYAMA
- Tracker changed from Defect to Feature

- Category set to Accounts / authentication

#2 - 2016-07-18 17:19 - Anh Le Giang

+ 1. It should be the built-in feature

#3 - 2017-01-29 12:03 - Jun Su

+1

This would be very convenient feature.

The following page got the feature, but not a public plugin yet.
https://dev.keepassx.org/login

#4 - 2018-03-27 08:46 - Enziin System

Vote for this feature.
Thanks.

#5 - 2018-08-31 01:21 - Kamil .

Since many companies use G Suite, providing "Login with Google" will be a great feature

#6 - 2018-08-31 12:50 - Anonymous

+1
